volatile int res = 0;
volatile int flag = 0;
int timer_ms = 3;

void setup()
{
  // put your setup code here, to run once:
  pinMode(A0,INPUT);
  res = 0;
  flag = 0;
  Serial.begin(9600);
  setTimer();
  reset_blinker();
}

void loop()
{
  // put your main code here, to run repeatedly:
  //Serial.println((int)analogRead(A0));
  //delay(10);
  if(flag){
    Serial.println(res);
    flag = 0;
  }
}

void reset_blinker(){
  pinMode(RED_LED, OUTPUT);
  pinMode(GREEN_LED, OUTPUT);
  digitalWrite(RED_LED, HIGH);
  delay(100);
  digitalWrite(RED_LED, LOW);
  digitalWrite(GREEN_LED, HIGH);
  delay(100);
  digitalWrite(RED_LED, HIGH);
  digitalWrite(GREEN_LED, LOW);
  delay(100);
  digitalWrite(RED_LED, LOW);
  digitalWrite(GREEN_LED, HIGH);
  delay(100);
  digitalWrite(GREEN_LED, LOW);
}

void setTimer(){
  TA0CCR0 = (unsigned int)(32.768*timer_ms);       // set the timer based on 32kHz clock
  TA0CCTL0 = CCIE;             // enable interrupts for Timer A
  __bis_SR_register(GIE);
  TA0CTL = TASSEL_1 + MC_1 + TACLR + ID_0;
}

#pragma vector=TIMER0_A0_VECTOR    // Timer A ISR
__interrupt void Timer1_A0_ISR( void )
{
  //__bic_SR_register(GIE);
  res = (int)analogRead(A0);
  flag = 1;
}
